$(function () {
    // 列表分类
    $(".page_list li").on("click", function (e) {
        $(e.target).css({
            color: "#fff",
            background: "#32a8ea"
        }).siblings().css({
            color: "#666679",
            background: "#ffffff"
        })
    })
    // 下载列表悬浮状态判断
    $(".down_list li").hover(function (e) {
        var flag = $(e.target).attr("flag") === "down";
        if (flag) {
            $(e.target).parent().parent().css("border", "1px solid #a8d7ff")
            $(e.target).parent().find(".gameList_down").css({
                display: "block",
                background: "#31a4fd"
            })
        } else {
            $(e.target).parent().parent().css("border", "1px solid #ffd37b")
            $(e.target).parent().find(".gameList_down").css({
                display: "block",
                background: "#ffaf0f"
            })
        }
    }, function () {
        $(".down_list li").css("border", "1px solid #ffffff")
        $(".down_list li .gameList_down").css("display", "none")
    })
    // 专题合辑下载列表
    $(".specialTopic_two li").hover(function (e) {
        var flag = $(this).find("a").is(".down")
        if (flag) {
            $(this).css("border", "1px solid #31a4fd")
        } else {
            $(this).css("border", "1px solid #ffaf0f")
        }
    }, function () {
        $(".specialTopic_two li").css("border", "1px solid #f0f0f0")
    })
    // 最新文章列表
    $(".newArticle_list li").on("mouseenter", function (e) {
        $(this).find(".newArticle_typeOne").css("display", "block")
        $(this).find(".newArticle_typeTwo").css("display", "none")
        $(this).siblings().find(".newArticle_typeOne").css("display", "none")
        $(this).siblings().find(".newArticle_typeTwo").css("display", "block")
    })
    // 文章详情居中
    let hasBtn1 = $(".gameDown_suggest a").hasClass("downGame_btn")
    let hasBtn2 = $(".gameDown_suggest a").hasClass("newGame_rank")
    if (!hasBtn2) {
        $(".gameDown_suggest .downGame_btn").css("top", "60px")
    }
    ;
    if (!hasBtn1) {
        $(".gameDown_suggest .newGame_rank").css("top", "60px")
    }
    ;
    // 排行榜
    $(".rankCont .rankMenu>a").on("click", function (e) {
        $(this).addClass("current").siblings().removeClass("current")
    })
    // 分页
    if ($(".page li:first-child a").html() === "首 页") {
        $(".page li:first-child").width("60px")
    }
    if ($(".page li:last-child a").html() === "尾 页") {
        $(".page li:last-child").width("60px")
    }
    // 头部显示
    $("#barbox li").hover(function () {
        var nowIndex = $(this).attr("class").split("no")[1]
        $("#barbox li").eq(nowIndex - 1).find("code a").addClass(`daoh_no${nowIndex}`)
        $("#barbox li").eq(nowIndex - 1).find(`#barbox_no${nowIndex}`).css("display", "block")
    }, function () {
        var nowIndex = $(this).attr("class").split("no")[1]
        $("#barbox li").eq(nowIndex - 1).find("code a").removeClass(`daoh_no${nowIndex}`)
        $("#barbox li").eq(nowIndex - 1).find(`#barbox_no${nowIndex}`).css("display", "none")
    })
    // 首页手机游戏选项卡
    $(".mGames_top .mGames_options span").on("click", function () {
        $(this).addClass("current").siblings().removeClass("current")
        var flag = $(this).attr("options") === "hot";
        if (flag) {
            $(".mGames_box .hot").removeClass("hide")
            $(".mGames_box .newest").addClass("hide")
        } else {
            $(".mGames_box .hot").addClass("hide")
            $(".mGames_box .newest").removeClass("hide")
        }
    })
    // 首页手机应用选项卡
    $(".mGames_top .mGames_options2 span").on("click", function () {
        $(this).addClass("current").siblings().removeClass("current")
        var flag = $(this).attr("options") === "hot2";
        if (flag) {
            $(".mGames_box .hot2").removeClass("hide")
            $(".mGames_box .newest2").addClass("hide")
        } else {
            $(".mGames_box .hot2").addClass("hide")
            $(".mGames_box .newest2").removeClass("hide")
        }
    })

})


$(function(){
//下载按钮
    if ($('.downbtn').length > 0) {
        var baseUrl = "https://www.52pk.com/";
        var obj = $('.downbtn');
        var id   = obj.attr('id');
        var type = obj.attr('type');
        var reportUrl = 'https://linkwe.xiazaihh.com/';

	if(returnCitySN.cname.indexOf('上海')>=0 && window.location.href.indexOf('/game/')!=-1){//result.data.and_url.indexOf('game.uc.cn') < 0 && 
		//obj.html('<a href="javascript:void(0)" class="noload"><i class="icon2"></i>暂无下载</a>');
		obj.html('<button class="pull"><i class="icon"></i>暂无下载</button>');
	}else{
		$.get(baseUrl + '/downs/detail/'+id+'/'+type, function(res){
            var result = $.parseJSON(res);
            if (result.code == 1) {
                $.getJSON(reportUrl + 'home?callback=?&data='+ encodeURIComponent(JSON.stringify(result.data))+
                    '&url='+encodeURIComponent(window.location.href));

					if (result.data.and_url) {
						obj.find('.btnAnd').show().click(function(){
							$.getJSON(reportUrl + 'home?callback=?&data='+ encodeURIComponent(JSON.stringify(result.data))+'&sys=and');
							location.href = result.data.and_url;
						});
					}
					if (result.data.ios_url) {
						obj.find('.btnIos').show().click(function(){
							$.getJSON(reportUrl + 'home?callback=?&data='+ encodeURIComponent(JSON.stringify(result.data))+'&sys=ios');
							//location.href = result.data.ios_url;
							window.open(result.data.ios_url);
						});
					}
					if (result.data.pc_url) {
						obj.find('.btnPc').show().click(function(){
							$.getJSON(reportUrl + 'home?callback=?&data='+ encodeURIComponent(JSON.stringify(result.data))+'&sys=pc');
							location.href = result.data.pc_url;
						});
					}
				
            }
        });
	}

    }

})





